import { DatasourceService } from '../datasource.service';
import { QueryResult } from './query-result';
export interface QueryRunnerInterface {
    readonly connection: DatasourceService;
    readonly isReleased: boolean;
    readonly isTransactionActive: boolean;
    connect(): Promise<unknown>;
    release(): Promise<void>;
    query(query: string, parameters?: Array<any>): Promise<QueryResult>;
}
